<?php use_helper('UrlFunctions'); ?>
<script>

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>
<?php

if(isset($control)){
	
	$cboIngresoDesde = $cboHoraIngresoDesde.":".$cboMinutoIngresoDesde;
	$cboIngresoHasta = $cboHoraIngresoHasta.":".$cboMinutoIngresoHasta;

	$cboTardanzaDesde = $cboHoraTardanzaDesde.":".$cboMinutoTardanzaDesde;
	$cboTardanzaHasta = $cboHoraTardanzaHasta.":".$cboMinutoTardanzaHasta;

	if($cboIngresoDesde >= $cboIngresoHasta) exit("No puede seleccionar el inicio del ingreso mayor al tope ".$cboIngresoDesde .">=". $cboIngresoHasta);
		if($cboTardanzaDesde >= $cboTardanzaHasta) exit("No puede seleccionar el inicio de la tardanza  mayor al tope ".$cboTardanzaDesde.">=".$cboTardanzaHasta);
		
	if($cboIngresoHasta != $cboTardanzaDesde)  $cboTardanzaDesde = $cboIngresoHasta;
	
	
  $o_ColaboradorBean = new ColaboradorBean();
  $o_ColaboradorBean->setDni($Dni);
  $o_ColaboradorBean->setTipoDocumento($tipodocumento);
  $o_ColaboradorBean->setNombres($Nombres);
  $o_ColaboradorBean->setApellidoPaterno($ApellidoPaterno);
  $o_ColaboradorBean->setApellidoMaterno($ApellidoMaterno);
  $o_ColaboradorBean->setTelefono($Telefono);
  $o_ColaboradorBean->setDireccion($Direccion);
  $o_ColaboradorBean->setCelular($Celular);
  
  $o_ColaboradorBean->setEmail($Email);
  $o_ColaboradorBean->setSueldo($Sueldo);
  $o_ColaboradorBean->setFechaNacimiento($FechaNacimiento);
  $o_ColaboradorBean->setSexo($cboSexo); 
  $o_ColaboradorBean->setEstadoCivil($cboEstadoCivil);
  $o_ColaboradorBean->setEstado($cboEstado);   
  $o_ColaboradorBean->setNumeroHijos($cboNumeroHijos); 
  $o_ColaboradorBean->setGradoInstruccion($cboGradoInstruccion);
  $o_ColaboradorBean->setIdTipoColaborador($cboIdRol);
  
  $o_ColaboradorBean->setPagoRpm($PagoRpm);
  
  
  $o_ColaboradorBean->setPension($cboPension);
  $o_PensionFN = new RhPensionFN();
  $o_PensionFN->setIdPension($cboPension);
  $o_pension = $o_PensionFN->selectByPK();
 
  if(is_object($o_pension)){
  	$NombrePension = $o_pension->getDescripcion();
  	$TipoP = $o_pension->getTipo();
  	$o_ColaboradorBean->setNombrePension($NombrePension);
  	if($TipoP == 'nacional'){
  		$cboTipoPension = '  ';
  	}
  }
  $o_ColaboradorBean->setTipoPension($cboTipoPension);
  
  $o_ColaboradorBean->setTipoSeguro($cboTipoSeguro); 
  $o_ColaboradorBean->setBono($Bono); 
  $o_ColaboradorBean->setTipoPlanilla($cboTipoPlanilla); 
  
  if($cboTipoSeguro){
  	$o_ColaboradorBean->setNumeroSeguro($NumeroSeguro);
  }else{
  	$o_ColaboradorBean->setTipoSeguro("0.00");
  	$o_ColaboradorBean->setNumeroSeguro("-");
  }
  
  if($cboTipoPension){
  	 $o_ColaboradorBean->setNumeroPension($NumeroPension);
  }else{
  	$o_ColaboradorBean->setTipoPension("0.00");
  	$o_ColaboradorBean->setNumeroPension("-");
  }
  
  if(!$AsignacionFamiliar) $o_ColaboradorBean->setAsignacionFamiliar("0.00"); 
  else $o_ColaboradorBean->setAsignacionFamiliar($AsignacionFamiliar); 
  
  
  if(myUser::getUser()->getIdPadre() == 1){
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	$o_ColaboradorBean->setIdPadre($o_ColaboradorBeanResult[0]->getIdPadre());
  }elseif(myUser::getUser()->getIdPadre() == 'A'){
  	$o_ColaboradorBean->setIdPadre(myUser::getUser()->getIdColaborador());
  }else{
  	$o_ColaboradorBean->setIdPadre(myUser::getUser()->getIdColaborador());
  }
  
  $o_TipoColaboradorRolBean = new TipoColaboradorRolBean();
  $o_TipoColaboradorRolBean->setIdTipoColaborador($cboIdRol);
  $o_TipoColaboradorRolBL = new TipoColaboradorRolBL();
  $o_TipoColaboradorRol = $o_TipoColaboradorRolBL->busquedaTipoColaboradorRol($o_TipoColaboradorRolBean);
  
  $o_ColaboradorBean->setIdRol($o_TipoColaboradorRol->getIdRol());
  
  $o_ColaboradorBean->setFechaIngreso($FechaIngreso);
  $o_ColaboradorBean->setUsuario($Usuario);
  $o_ColaboradorBean->setFechaCreacion(date("Y-m-d H:i:s"));
  $o_ColaboradorBean->setUsuarioCreacion(myUser::getUser()->getUserId());
  $o_ColaboradorSystemClass = new ColaboradorSystemClass($o_ColaboradorBean);
  $bResult = $o_ColaboradorSystemClass->insertColaborador();
  
   
  if($bResult){
	  
	$o_RhMarcacionColaboradorDP = new RhMarcacionColaboradorDP();
	$o_RhMarcacionColaboradorDP->setIdcolaborador($bResult); 	
	$o_RhMarcacionColaboradorDP->setIdregistro("I"); 	
	$o_RhMarcacionColaboradorDP->setIdtipo("N"); 	
	$o_RhMarcacionColaboradorDP->setHoraminutoinicio($cboIngresoDesde);
	$o_RhMarcacionColaboradorDP->setHoraminutofin($cboIngresoHasta);
	$o_RhMarcacionColaboradorDP->setSecuencia(1);
	$o_RhMarcacionColaboradorDP->save();
	
	$o_RhMarcacionColaboradorDP = new RhMarcacionColaboradorDP();
	$o_RhMarcacionColaboradorDP->setIdcolaborador($bResult); 	
	$o_RhMarcacionColaboradorDP->setIdregistro("I"); 	
	$o_RhMarcacionColaboradorDP->setIdtipo("T"); 	
	$o_RhMarcacionColaboradorDP->setHoraminutoinicio($cboTardanzaDesde);
	$o_RhMarcacionColaboradorDP->setHoraminutofin($cboTardanzaHasta);
	$o_RhMarcacionColaboradorDP->setMontodescuento($montodescuento);
	$o_RhMarcacionColaboradorDP->setSecuencia(2);
	$o_RhMarcacionColaboradorDP->save();
	
	
	$o_RhMarcacionColaboradorDP = new RhMarcacionColaboradorDP();
	$o_RhMarcacionColaboradorDP->setIdcolaborador($bResult); 	
	$o_RhMarcacionColaboradorDP->setIdregistro("F"); 	
	$o_RhMarcacionColaboradorDP->setIdtipo("N"); 	
	$o_RhMarcacionColaboradorDP->setHoraminutoinicio($cboTardanzaHasta);
	$o_RhMarcacionColaboradorDP->setHoraminutofin('23:59');
	$o_RhMarcacionColaboradorDP->setMontodescuento($montodescuento);
	$o_RhMarcacionColaboradorDP->setSecuencia(2);
	$o_RhMarcacionColaboradorDP->save();
    
    $o_UsuarioBean = new UsuarioBean();
    
    $o_UsuarioBean->setUsuarioId($Usuario);
    $o_UsuarioBean->setNombre($Nombres);
    $o_UsuarioBean->setContrasena($Contrasena);
    $o_UsuarioBean->setRolId($o_TipoColaboradorRol->getIdRol());
    
    $o_ColaboradorSystemClass->insertUsuario($o_UsuarioBean);
    if( myUser::getUser()->getRoleId() == "sys.gen"){
    ?>
    <script language="JavaScript">
    parent.objMainTab.reqBody('<?=buildUrl('rep/list_gen')?>','&block=001&insert=1&id=<?=$o_ColaboradorBean->getIdColaborador()?>');
    parent.objMainTab.windowsCloseAll();
    </script>
    <?php }else{?>
    <script language="JavaScript">
    parent.objMainTab.reqBody('<?=buildUrl('rep/list')?>','&block=001&insert=1&id=<?=$o_ColaboradorBean->getIdColaborador()?>');
    parent.objMainTab.windowsCloseAll();
    </script>
    <?php }
  }else{
    $url = buildUrl('rep/add', "block=".$block."&error=1");
  }
  exit;
}
 $o_TipoColaboradorRolBean = new TipoColaboradorRolBean();

 $o_ColaboradorSystemClass = new ColaboradorSystemClass($o_TipoColaboradorRolBean);
 $a_TipoColaboradorRol = $o_ColaboradorSystemClass->getTipoColaboradorRol();

 
 $o_Pension = new RhPensionFN();
 
 $a_pension = $o_Pension->select();
 
?>

<img src="/images/common/spacer.gif" width="10">
<table class="cuerpo" width="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Empleado</li>
            <span class="subtitle"><I>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::&nbsp;Ficha del Empleado</I></span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
      
  <tr>
    <td valign="top">
     <form id="form1" name="form1" method="POST">
      <input type="hidden" name="control" value="1">
      
        <table hspace="20px" class="marco" width="99%">
          <tr>
            <td valign="top">
	
              <table width="100%" border="0" cellpadding="5" cellspacing="0" style="background: #E3E9E2">
          		<tr>
    				  <td height="0">
    				  <fieldset>
    					<legend class="fielsettex"><I>Datos Generales</I></legend>
    					 <table width="100%" border="0" cellspacing="6" cellpadding="0">
							  <tr>
								<td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtDni" >Documento </label></td>
								<td nowrap="nowrap" width="38%"><!--<select name="tipodocumento" id ="tipodocumento" class="combo" onchange="validardocumento(this.value)"><option value="DNI">DNI</option><option value="CEXT">CARNET EXTRNAJERIA</option></select>&nbsp;<input class="text validate-dni required" type="text" name="dni" id="dni" maxlength="8" size="8" title="Ingrese DNI en el campo." />-->
								                                <select name="tipodocumento" id ="tipodocumento" class="combo" onchange="validardocumento(this.value)">
																	<option value="DNI">DNI</option>
																	<option value="CEXT">CARNET EXTRNAJERIA</option>
																</select>&nbsp;
																<input class="text validate-DNI required validate-digits " type="text" autocomplete="off" name="Dni" id="Dni" maxlength="8" size="8"/><img src="/images/common/loader.gif" id="loader" style="display:none"></td></td>
								 <td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
								 <td width="12%" nowrap="nowrap" class="cabecera"><label class="label req" for="txtSexo" >Sexo</label></td>
								 <td nowrap="nowrap" width="38%">
								   <select name="cboSexo" id="cboSexo" type="text required" class="combo required" onchange="acutalizarEspecialidad('cboEspecialidad',this)"/> 
									  <option value="" >Seleccione</option>
									  <option value="M" >Masculino</option>
									  <option value="F" >Femenino</option>
							  		</select>
								</td>
							   </tr>
							   <tr>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtNombres" >Nombres </label></td>
								<td nowrap="nowrap"><input class="text required" type="text" name="Nombres" id="Nombres" size="40" maxlength="50" title="Ingrese nombre en el campo." /></td>
								<td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
								 <td width="12%" nowrap="nowrap" class="cabecera"><label class="label req" for="txtEsatdoCivil" >Estado Civil</label></td>
								 <td nowrap="nowrap" width="38%">
								   <select name="cboEstadoCivil" id="cboEstadoCivil" type="text" class="combo required" title="Ingrese estado civil en el campo."> 
									  <option value="" >Seleccione</option>
									  <option value="S" >Soltero</option>
									  <option value="C" >Casado</option>
									  <option value="D" >Divorciado</option>
									  <option value="V" >Viudo</option>
							  		</select>
								</td>
							  </tr>
							  <tr>
								<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtApellidoPaterno">Apellido Paterno </label></td>
								<td nowrap="nowrap" width="38%"><input class="text required" type="text" name="ApellidoPaterno" id="ApellidoPaterno" title="Ingrese apellido en el campo." /></td>
								 <td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
								 <td width="12%" nowrap="nowrap" class="cabecera"><label class="label req" for="txtFechaNacimiento" >Fecha Nacimiento</label></td>
								 <td nowrap="nowrap"><input class="text validate-date-pe required"  readonly  type="text" name="FechaNacimiento" id="FechaNacimiento" ondblclick="this.value=''" size="8" title="Ingrese fecha de nacimiento en el campo." /><button type="button" onclick="return false" id="btnFechaNacimiento">...</button>
									   <script type="text/javascript">
									     document.getElementById("btnFechaNacimiento").disabled = false;
									     Calendar.setup({
									     inputField : "FechaNacimiento",
									     ifFormat : "%Y-%m-%d",
									     daFormat : "%Y-%m-%d",
									     button   : "btnFechaNacimiento"
									     });
									  </script>
								</td>
								
							  </tr>
							  <tr>
								<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtApellidoMaterno" >Apellido Materno </label></td>
								<td nowrap="nowrap" width="38%"><input class="text required" type="text" name="ApellidoMaterno" id="ApellidoMaterno" title="Ingrese apellido en el campo." /></td>
								<td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
								<td width="12%" nowrap="nowrap" class="cabecera"><label class="label req" for="txtFechaIngreso" >Fecha Ingreso</label></td>
								  <td nowrap="nowrap"><input class="text validate-date-pe required"  readonly  type="text" name="FechaIngreso" id="FechaIngreso" ondblclick="this.value=''" size="8" title="Ingrese fecha de ingreso en el campo." /><button type="button" onclick="return false" id="btnFechaIngreso">...</button>
									   <script type="text/javascript">
									     document.getElementById("btnFechaIngreso").disabled = false;
									     Calendar.setup({
									     inputField : "FechaIngreso",
									     ifFormat : "%Y-%m-%d",
									     daFormat : "%Y-%m-%d",
									     button   : "btnFechaIngreso"
									     });
									  </script>
								</td>
							  </tr>
							  <tr>
								<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtDireccion">Direcci&oacute;n</label></td>
								<td nowrap="nowrap" width="38%"><textarea  class="required" name="Direccion" id="Direccion" cols="50" rows="1" title="Ingrese direcci贸n en el campo."></textarea></td>
								
								
								 
							  </tr>
							  <tr>
							   <td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtEstado">Estado</label></td>
								 <td nowrap="nowrap" width="38%">
								    <select name="cboEstado" id="cboEstado" type="text" class="combo" onchange="acutalizarEspecialidad('cboEspecialidad',this)"/> 
									  <option value="A" >Activo</option>
									  <option value="I" >Inactivo</option>
							  		</select>
								 </td>
								 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								 <td width="12%" nowrap="nowrap" class="cabecera"><label class="label req" for="txtEmail" >E-Mail</label></td>
								 <td nowrap="nowrap" width="38%"><input class="text" type="text" name="Email" id="Email" /></td> 
							  </tr>
						</table>
    					</fieldset>				
    				</td>
                </tr>
                <!--<tr>
  				  <td height="0">
				    <fieldset>
					 <legend class="fielsettex"><I>Datos de Planilla</I></legend>
					 <table width="100%" border="0" cellspacing="5" cellpadding="0">
					  <tr>
						<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtDireccion">Tipo Planilla</label></td>
						<td nowrap="nowrap" width="38%">
							<select name="cboTipoPlanilla" id="cboTipoPlanilla" type="text" class="combo"> 
							<option value="" >Seleccione</option>
	  									  <option value="EMPLEADO">EMPLEADO</option>
	  									  <option value="COLABORADOR">COLABORADOR</option>
	  						  </select></td>
						 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
						 <td width="12%" nowrap="nowrap" class="cabecera"><label class="label req" for="txtSueldo" >Sueldo</label></td>
						 <td nowrap="nowrap" width="38%"><input class="text requered" type="text" name="Sueldo" id="Sueldo"  /></td>
					  </tr>
					   <tr>
						<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtDireccion">Tipo Seguro</label></td>
						<td nowrap="nowrap" width="38%">
							<select name="cboTipoSeguro" id="cboTipoSeguro" type="text" class="combo"> 
	  							<option value="" >Seleccione</option>
	  									  <option value="ESSALUD">ESSALUD</option>
	  									  <option value="SIS">SIS</option>
	  						  </select>
	  						  <label class="label req">Numero</label>&nbsp;<input class="text requered" type="text" name="NumeroSeguro" id="NumeroSeguro" size="7"  maxlength="30" value=""/>
	  						  </td>
	  				     <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
						 <td width="12%" nowrap="nowrap" class="cabecera"><label class="label req" for="txtSueldo" >Gasto Comunicaciones</label></td>
						 <td nowrap="nowrap" width="38%"><input class="text" type="text" name="PagoRpm" id="PagoRpm" /></td>
					  </tr>
					  <tr>
						<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtDireccion">Pension</label></td>
						<td nowrap="nowrap" width="38%">
							<select name="cboPension" id="cboPension" type="text" class="combo"> 
	  							<option value="" >Seleccione</option>
	  							<?
	  							
	  								 foreach ($a_pension as $iKey => $pensionB){ ?>
					                  <option value="<?=$pensionB->getIdPension()?>">
					                    <?=$pensionB->getDescripcion()?>
					                  </option>
					              		<?php
										}?>		  
	  						  </select>
	  						  <label class="label req">Numero</label>&nbsp;<input class="text requered" type="text" name="NumeroPension" id="NumeroPension" size="7" maxlength="30" value=""/></td>
	  				     <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
						 <td width="12%" nowrap="nowrap" class="cabecera"><label class="label req" for="txtSueldo" >Tipo Pension</label></td>
						 <td nowrap="nowrap" width="38%">
						 	<select name="cboTipoPension" id="cboTipoPension" type="text" class="combo"> 
	  							<option value="" >Seleccione</option>
	  							<option value="flujo" >Flujo</option>
	  							<option value="mixto" >Mixto</option>
	  						</select>
						 </td>
					  </tr>
					  <tr>
						 <td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtDireccion">Bono</label></td>
						<td nowrap="nowrap" width="38%">
							<input class="text" type="text" name="Bono" id="Bono" /></td>
						 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
						 <td width="12%" nowrap="nowrap" class="cabecera"></td>
						 <td nowrap="nowrap" width="38%"><input type="checkbox" value="1" name="AsignacionFamiliar" id="AsignacionFamiliar"><label class="label req" >Asignaci贸n Familiar</label></td>
					  </tr>
					  </table>
					 </fieldset>
					</td>
				</tr>-->
				<tr>
  				  <td height="0">
				    <fieldset>
					 <legend class="fielsettex"><I>Datos de Planilla</I></legend>
					 <table width="100%" border="0" cellspacing="5" cellpadding="0">
					  <tr>
						<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtDireccion">Tipo Planilla</label></td>
						<td nowrap="nowrap" width="38%">
							<select name="cboTipoPlanilla" id="cboTipoPlanilla" type="text" class="combo"> 
							<option value="" >Seleccione</option>
	  									  <option value="EMPLEADO">EMPLEADO</option>
	  									  <option value="COLABORADOR">COLABORADOR</option>
	  						  </select></td>
						 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
						 <td width="12%" nowrap="nowrap" class="cabecera"><label class="label req" for="txtSueldo" >Sueldo</label></td>
						 <td nowrap="nowrap" width="38%"><input class="text requered" type="text" name="Sueldo" id="Sueldo"  /></td>
					  </tr>
					   <tr>
						<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtDireccion">Tipo Seguro</label></td>
						<td nowrap="nowrap" width="38%">
							<select name="cboTipoSeguro" id="cboTipoSeguro" type="text" class="combo"> 
	  							<option value="" >Seleccione</option>
	  									  <option value="ESSALUD">ESSALUD</option>
	  									  <option value="SIS">SIS</option>
	  						  </select>
	  						  <label class="label req">Numero</label>&nbsp;<input class="text requered" type="text" name="NumeroSeguro" id="NumeroSeguro" size="7"  maxlength="30" value=""/>
	  						  </td>
	  				     <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
						 <td width="12%" nowrap="nowrap" class="cabecera"><label class="label req" for="txtSueldo" >Gasto Comunicaciones</label></td>
						 <td nowrap="nowrap" width="38%"><input class="text" type="text" name="PagoRpm" id="PagoRpm" /></td>
					  </tr>
					  <tr>
						<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtDireccion">Pension</label></td>
						<td nowrap="nowrap" width="38%">
							<select name="cboPension" id="cboPension" type="text" class="combo"> 
	  							<option value="" >Seleccione</option>
	  							<?
	  							
	  								 foreach ($a_pension as $iKey => $pensionB){ ?>
					                  <option value="<?=$pensionB->getIdPension()?>">
					                    <?=$pensionB->getDescripcion()?>
					                  </option>
					              		<?php
										}?>		  
	  						  </select>
	  						  <label class="label req">Numero</label>&nbsp;<input class="text requered" type="text" name="NumeroPension" id="NumeroPension" size="7" maxlength="30" value=""/></td>
	  				     <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
						 <td width="12%" nowrap="nowrap" class="cabecera"><label class="label req" for="txtSueldo" >Tipo Pension</label></td>
						 <td nowrap="nowrap" width="38%">
						 	<select name="cboTipoPension" id="cboTipoPension" type="text" class="combo"> 
	  							<option value="" >Seleccione</option>
	  							<option value="flujo" >Flujo</option>
	  							<option value="mixto" >Mixto</option>
	  						</select>
						 </td>
					  </tr>
					  
					  <tr>
						 <td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtDireccion">Bono</label></td>
						<td nowrap="nowrap" width="38%">
							<input class="text" type="text" name="Bono" id="Bono" /></td>
						 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
						 <td width="12%" nowrap="nowrap" class="cabecera"></td>
						 <td nowrap="nowrap" width="38%"><input type="checkbox" value="1" name="AsignacionFamiliar" id="AsignacionFamiliar"><label class="label req" >Asignaci贸n Familiar</label></td>
					  </tr>
					   <tr>
						 <td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtDireccion">Ingreso</label></td>
						 <td nowrap="nowrap" width="38%">
							<select name="cboHoraIngresoDesde" id="cboHoraIngresoDesde" type="text" class="combo required"> 
	  							<option value="" >Hora</option>
	  							<option value="08" selected >08</option>
	  							<option value="09" >09</option>
	  							<option value="10" >10</option>
	  							<option value="11" >11</option>
	  							<option value="11">11</option>
	  							<option value="12">12</option>
	  							<option value="13">13</option>
	  							<option value="14">14</option>
	  							<option value="15">15</option>
	  							<option value="16">16</option>
	  							<option value="17">17</option>
	  							<option value="18">18</option>
	  							<option value="19">19</option>
	  							<option value="20">20</option>
	  							<option value="21">21</option>
	  							<option value="22">22</option>
	  							<option value="23">23</option>
	  						</select>
	  						<select name="cboMinutoIngresoDesde" id="cboMinutoIngresoDesde" type="text" class="combo required"> 
	  							<option value="" >Minuto</option>
	  							<option value="00" selected>00</option>
	  							<option value="05" >05</option>
	  							<option value="10" >10</option>
	  							<option value="15">15</option>
	  							<option value="20">20</option>
	  							<option value="25">25</option>
	  							<option value="30">30</option>
	  							<option value="35">35</option>
	  							<option value="40">40</option>   
	  							<option value="45">45</option>
	  							<option value="50">50</option>
	  							<option value="55">55</option>
	  						</select><label class="label">-</label>
	  						<select name="cboHoraIngresoHasta" id="cboHoraIngresoHasta" type="text" class="combo  required"> 
	  							<option value="" >Hora</option>
	  							<option value="08" selected>08</option>
	  							<option value="09" >09</option>
	  							<option value="10" >10</option>
	  							<option value="11">11</option>
	  							<option value="12">12</option>
	  							<option value="13">13</option>
	  							<option value="14">14</option>
	  							<option value="15">15</option>
	  							<option value="16">16</option>
	  							<option value="17">17</option>
	  							<option value="18">18</option>
	  							<option value="19">19</option>
	  							<option value="20">20</option>
	  							<option value="21">21</option>
	  							<option value="22">22</option>
	  							<option value="23">23</option>
	  						</select>
	  						<select name="cboMinutoIngresoHasta" id="cboMinutoIngresoHasta" type="text" class="combo  required"> 
	  							<option value="" >Minuto</option>
	  							<option value="00" >00</option>
	  							<option value="05" selected>05</option>
	  							<option value="10" >10</option>
	  							<option value="15">15</option>
	  							<option value="20">20</option>
	  							<option value="25">25</option>
	  							<option value="30">30</option>
	  							<option value="35">35</option>
	  							<option value="40">40</option>   
	  							<option value="45">45</option>
	  							<option value="50">50</option>
	  							<option value="55">55</option>
	  						</select>
	  						</td>
						 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
						 </tr>
						 <tr>
						  <td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtDireccion">Tardanza</label></td>
						 <td nowrap="nowrap" width="38%">
							<select name="cboHoraTardanzaDesde" id="cboHoraTardanzaDesde" type="text" class="combo required"> 
	  							<option value="" >Hora</option>
	  							<option value="08" selected>08</option>
	  							<option value="09" >09</option>
	  							<option value="10" >10</option>
	  							<option value="11">11</option>
	  							<option value="12">12</option>
	  							<option value="13">13</option>
	  							<option value="14">14</option>
	  							<option value="15">15</option>
	  							<option value="16">16</option>
	  							<option value="17">17</option>
	  							<option value="18">18</option>
	  							<option value="19">19</option>
	  							<option value="20">20</option>
	  							<option value="21">21</option>
	  							<option value="22">22</option>
	  							<option value="23">23</option>
	  							
	  						</select>
	  						<select name="cboMinutoTardanzaDesde" id="cboMinutoTardanzaDesde" type="text" class="combo required"> 
	  							<option value="" >Minuto</option>
	  							<option value="00" >00</option>
	  							<option value="05" selected>05</option>
	  							<option value="10" >10</option>
							    <option value="15">15</option>
	  							<option value="20">20</option>
	  							<option value="25">25</option>
	  							<option value="30">30</option>
	  							<option value="35">35</option>
	  							<option value="40">40</option>   
	  							<option value="45">45</option>
	  							<option value="50">50</option>
	  							<option value="55">55</option>
	  							
	  						</select><label class="label">-</label>
	  						<select name="cboHoraTardanzaHasta" id="cboHoraTardanzaHasta" type="text" class="combo required"> 
	  							<option value="" >Hora</option>
	  							<option value="08" >08</option>
	  							<option value="09" >09</option>
	  							<option value="10" >10</option>
	  							<option value="11" >11</option>
	  							<option value="12">12</option>
	  							<option value="13" selected>13</option>
	  							<option value="14">14</option>
	  							<option value="15">15</option>
	  							<option value="16">16</option>
	  							<option value="17">17</option>
	  							<option value="18">18</option>
	  							<option value="19">19</option>
	  							<option value="20">20</option>
	  							<option value="21">21</option>
	  							<option value="22">22</option>
	  							<option value="23">23</option>
	  						</select>
	  						<select name="cboMinutoTardanzaHasta" id="cboMinutoTardanzaHasta" type="text" class="combo required"> 
	  							<option value="" >Minuto</option>
	  							<option value="00" selected>00</option>
	  							<option value="10" >10</option>
	  							<option value="15">15</option>
	  							<option value="20">20</option>
	  							<option value="25">25</option>
	  							<option value="30">30</option>
	  							<option value="35">35</option>
	  							<option value="40">40</option>   
	  							<option value="45">45</option>
	  							<option value="50">50</option>
	  							<option value="55">55</option>
	  						</select><label class="label">Monto descuento</label><input type="text" class="text required" name="montodescuento" value="5.00" size="5">
	  						</td>
					 	 </tr>
					  </table>
					 </fieldset>
					</td>
				</tr>
    			<tr>
  				  <td height="0">
				    <fieldset>
					 <legend class="fielsettex"><I>Otros Datos</I></legend>
  					 <table width="100%" border="0" cellspacing="5" cellpadding="0">
					  <tr>
						 <td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtDireccion">Tel&eacute;fono</label></td>
						 <td nowrap="nowrap" width="38%"><input class="text" type="text" name="Telefono" id="Telefono" size="10" maxlength="10"/></td>
						 <td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtCelular">Celular</label></td>
						 <td nowrap="nowrap" width="38%"><input class="text validate-celular" type="text" name="Celular" id="Celular" maxlength="12" size="12" title="Ingrese celular en el campo." /></td>
						 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								 
					  </tr>
  					  <tr>
    					 <td nowrap="nowrap" width="17%" class="cabecera"><label class="label" for="txtGradoInstruccion" >G. Instrucci&oacute;n</label></td>
    					 <td nowrap="nowrap" width="38%">
						   <select name="cboGradoInstruccion" id="cboGradoInstruccion" type="text" class="combo" onchange="acutalizarEspecialidad('cboEspecialidad',this)"> 
								<option value="" >Ninguno</option>
								<option value="Primaria" >Primaria</option>
								<option value="Secundaria" >Secundaria</option>
								<option value="Superior" >Superior</option>
							 </select>
					   	</td>
    					<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtNumeroHijos">Nro. Hijos</label></td>
    					<td nowrap="nowrap">
						  <select name="cboNumeroHijos" id="cboNumeroHijos" type="text" class="combo" onchange="acutalizarEspecialidad('cboEspecialidad',this)"> 
							<option value="" >Ninguno</option>
							<option value="1" >1</option>
							<option value="2" >2</option>
							<option value="3" >3</option>
							<option value="4" >4</option>
							<option value="5" >5</option>
							<option value="6" >6</option>
						 </select>
                        </td>
  			        </tr>
                 </table>
				 
				</fieldset>
          		</td>
        		</tr>
				<tr>
  				  <td height="0">
				    <fieldset>
					 <legend class="fielsettex"><I> Datos de Usuario </I></legend>
  					 <table width="100%" border="0" cellspacing="5" cellpadding="0">
					  <tr>
						 <td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtRol">Rol</label></td>
  					   	 <td nowrap="nowrap"><select class="combo validate-selection " name="cboIdRol" id="cboIdRol" onchange="acutalizarEspecialidad('cboEspecialidad',this)" >
								                  <option value="" > - Seleccionar - </option>
								                  <?php foreach ($a_TipoColaboradorRol as $iKey => $o_TipoColaboradorRolBean){ ?>
								                  <option value="<?=$o_TipoColaboradorRolBean->getIdTipoColaborador()?>">
								                    <?=$o_TipoColaboradorRolBean->getDescripcion()?>
								                  </option>
								                  <?php } ?>
							               	 </select>
              			 </td>
               
						 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
						 <td nowrap="nowrap" width="38%">&nbsp;</td>
						 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
					  </tr>
  					  <tr>
  					    <td nowrap="nowrap" class="cabecera"><label class="label">Nombre Usuario </label></td>
  					    <td nowrap="nowrap"><input class="text" type="text" name="Usuario" id="Usuario" maxlength="150" size="40"/></td>
  					    <td nowrap="nowrap" class="cabecera">&nbsp;</td>
  					    <td nowrap="nowrap">&nbsp;</td>
				       </tr>
  					  <tr>
							 <td nowrap="nowrap" width="17%" class="cabecera"><label class="label" for="txtContrasena" >Contrase&ntilde;a</label></td>
					    <td nowrap="nowrap" width="38%"><input class="text" type="password" name="Contrasena" id="Contrasena" maxlength="15" size="15"/>
					    </td>
							<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
							<td nowrap="nowrap">&nbsp;</td>
						</tr>
					    </table>
						<table width="100%" border="0" cellspacing="0" cellpadding="0">
							  <tr>
								 <td><img src="/images/common/spacer.gif" width="10"></td>
							  </tr>
							  <tr>
								<td align="center">
								  <input type="hidden" name="typeSubmit" id="typeSubmit">
								  <!--<input class="button" type="submit" value="Grabar y Nuevo" onclick="$('typeSubmit').value='add';"/>-->
								  <input class="button" type="submit" value="Grabar" onclick="$('typeSubmit').value='list';">
								  <input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.windowsCloseAll();"/>
								</td>
							  </tr>
							  <tr>
								<td height="10">&nbsp;</td>
							  </tr>
					</table>
					</fieldset>
					  </td>
					</tr>
      			</table>
     		</form>
     		<script type="text/javascript">
				$("Dni").focus();
				function validardocumento(valor){
					limpiarNombres();
					if(valor == "DNI"){
						$("Dni").addClassName("validate-DNI");
						$("Dni").removeClassName("validate-CE");
						if ($('advice-validate-CE-Dni')) { $('advice-validate-CE-Dni').remove();}
						$("Dni").maxLength = 8;
						$("Dni").value ="";
						$('Nombres').readOnly 			= true;
						$('ApellidoPaterno').readOnly 	= true;
						$('ApellidoMaterno').readOnly 	= true;
						
					}
					if(valor == "CEXT"){
						$("Dni").removeClassName("validate-DNI");
						$("Dni").addClassName("validate-CE");
						if ($('advice-validate-DNI-Dni')) { $('advice-validate-DNI-Dni').remove();}
						$("Dni").maxLength = 10;
						$("Dni").value ="";
						$('Nombres').readOnly.remove();
						$('ApellidoPaterno').readOnly.remove();
						$('ApellidoMaterno').readOnly.remove();
					}
					$("Dni").focus();
				}
				Validation.add('validate-CE', 'Ingrese el carnet de extranjeria.', function(v) {     
				
				
					
					var url = '<?=buildUrl('ajax/request')?>';
	  				
	
								
					var pars = 'type=validateCE&value='+v;
	  			 
				    var okdni = false;
				 	$( 'loader' ).style.display = "";
				    new Ajax.Request(url, {
				        method: 'get',
				        parameters:pars,
				        asynchronous: false,
				        onSuccess: function(transport) {
				        	
				            var obj = response = eval('(' + transport.responseText + ')');
				            
				            validateTrueEmailMsg = obj.status_desc;
				 			//alert(obj.ok);
				            if (obj.ok == '1') {
				            	if ($('advice-validate-CE-Dni')) {
					                $('advice-validate-CE-Dni').innerHTML = validateTrueEmailMsg;
					            }
				            	//alert(validateTrueEmailMsg);
								$('Nombres').readOnly 			= true;
								$('ApellidoPaterno').readOnly 	= true;
								$('ApellidoMaterno').readOnly 	= true;
				                Validation.get('validate-CE').error = validateTrueEmailMsg;
				                okdni = false;
				            } else {
								if(obj.nombres)
								{
									$('Nombres').value 			= obj.nombres;
									$('ApellidoPaterno').value 	= obj.apellido_paterno;
									$('ApellidoMaterno').value 	= obj.apellido_materno;
									$('Nombres').readOnly 			= true;
									$('ApellidoPaterno').readOnly 	= true;
									$('ApellidoMaterno').readOnly 	= true;
								}
				                okdni = true; /* return true or false */    
				            }
				            $( 'loader' ).style.display = "none";
				        },
				        onComplete: function() {
				 			//alert('complete')	
				 			
				            /**/
				        }
				    });
				 	//alert('dni'+okdni);
				    return okdni;
				});
				Validation.add('validate-email', 'Please enter a valid email address. For example johndoe@domain.com.', function(v) {     
 
				var url = '<?=buildUrl('ajax/request')?>';
  				
				var pars = 'type=validateMail&value='+v;
  			 
			    var ok = false;
			 
			    new Ajax.Request(url, {
			        method: 'get',
			        parameters:pars,
			        asynchronous: true,
			        onSuccess: function(transport) {
			        	$( 'loader' ).style.display = "";
			            var obj = response = eval('(' + transport.responseText + ')');
			            
			            validateTrueEmailMsg = obj.status_desc;
			 			//alert(obj.ok);
			            if (obj.ok === false) {
			                Validation.get('validate-email').error = validateTrueEmailMsg;
			                ok = false;
			            } else {
			                ok = true; /* return true or false */    
			            }
			        },
			        onComplete: function() {
			 			$( 'loader' ).style.display = "none";
			            if ($('advice-validate-email-email')) {
			                $('advice-validate-email-email').remove();
			            }
			 
			            if ($('advice-validate-email-email_address')) {
			                $('advice-validate-email-email_address').remove();    
			            }
			 
			            if ($('advice-validate-email-billing:email')) {
			                $('advice-validate-email-billing:email').remove();    
			            }
			 
			            if ($('advice-validate-email-shipping:email')) {
			                $('advice-validate-email-shipping:email').remove();
			            }
			 
			            if ($('advice-validate-email-_accountemail')) {
			                $('advice-validate-email-_accountemail').remove();
			            }
			        }
			    });
			 	alert('mail'+ok);
			    return ok;
			});
			
			function limpiarNombres(){
				$('Nombres').value 			= "";
				$('ApellidoPaterno').value 	= "";
				$('ApellidoMaterno').value 	= "";
				$('Nombres').readOnly 			= false;
				$('ApellidoPaterno').readOnly 	= false;
				$('ApellidoMaterno').readOnly 	= false;
				
			}
			
			//addClassName("validate-DNI")
			
			Validation.add('validate-DNI', 'Ingrese el dni.', function(v) {     
 
				
				var url = '<?=buildUrl('ajax/request')?>';
  				

							
				var pars = 'type=validateDniEmpleado&value='+v;
  			 
			    var okdni = false;
			 	$( 'loader' ).style.display = "";
			    new Ajax.Request(url, {
			        method: 'get',
			        parameters:pars,
			        asynchronous: false,
			        onSuccess: function(transport) {
			        	
			            var obj = response = eval('(' + transport.responseText + ')');
			            
			            validateTrueEmailMsg = obj.status_desc;
			 			//alert(obj.ok);
			            if (obj.ok == '1') {
			            	if ($('advice-validate-Dni')) {
				                $('advice-validate-Dni').innerHTML = validateTrueEmailMsg;
				            }
			            	//alert(validateTrueEmailMsg);
							$('Nombres').readOnly 			= true;
							$('ApellidoPaterno').readOnly 	= true;
							$('ApellidoMaterno').readOnly 	= true;
			                Validation.get('validate-DNI').error = validateTrueEmailMsg;
			                okdni = false;
			            } else {
							if(obj.nombres)
							{
								$('Nombres').value 			= obj.nombres;
								$('ApellidoPaterno').value 	= obj.apellido_paterno;
								$('ApellidoMaterno').value 	= obj.apellido_materno;
								$('Nombres').readOnly 			= true;
								$('ApellidoPaterno').readOnly 	= true;
								$('ApellidoMaterno').readOnly 	= true;
							}
			                okdni = true; /* return true or false */    
			            }
			            $( 'loader' ).style.display = "none";
			        },
			        onComplete: function() {
			 			//alert('complete')	
			 			if ($('advice-validate-digits-Dni')) { $('advice-validate-digits-Dni').remove();}
			            /**/
			        }
			    });
			 	//alert('dni'+okdni);
			    return okdni;
			});
				var valid = new Validation('form1', {immediate : true});
			</script>
			<script type="text/javascript">
			
				/*
				var valid = new Validation('form1', {immediate : true, useTitles : true});
				
				Validation.add('validate-dni', 'Ingrese el DNI.', function(v) {     
				
				var url = '<?=buildUrl('ajax/request')?>';
  				
				var pars = 'type=validateDniEmpleado&value='+v;
				//alert('here');
			    var okdni = false;
			 	//$( 'loader' ).style.display = "";
				
				
			    new Ajax.Request(url, {
			        method: 'get',
			        parameters:pars,
			        asynchronous: false,
			        onSuccess: function(transport) {
			        	
			            var obj = response = eval('(' + transport.responseText + ')');
			            
			            validateTrueEmailMsg = obj.status_desc;
			 			//alert(obj.ok);
			            if (obj.ok == '1') {
			            	if ($('advice-validate-dni-dni')) {
				                $('advice-validate-dni-dni').innerHTML = validateTrueEmailMsg;
				            }
			            	//alert(validateTrueEmailMsg);
							$('Nombres').readOnly 			= true;
							$('ApellidoPaterno').readOnly 	= true;
							$('ApellidoMaterno').readOnly 	= true;
			                Validation.get('validate-dni').error = validateTrueEmailMsg;
			                okdni = false;
			            } else {
							if(obj.nombres)
							{
								$('Nombres').value 			= obj.nombres;
								$('ApellidoPaterno').value 	= obj.apellido_paterno;
								$('ApellidoMaterno').value 	= obj.apellido_materno;
								$('Nombres').readOnly 			= true;
								$('ApellidoPaterno').readOnly 	= true;
								$('ApellidoMaterno').readOnly 	= true;
							}
			                okdni = true; /// return true or false  
			            }
			            //$( 'loader' ).style.display = "none";
			        },
			        onComplete: function() {
			 			//alert('complete')	
			 			if ($('advice-required-DniEmpleado')) { $('advice-required-DniEmpleado').remove();}
			            
			        }
			    });
			 	//alert('dni'+okdni);
			    return okdni;
			});
			*/
			Validation.add('validate-celular', 'Ingrese el numero celular.', function(v) {     
 
				var url = '<?=buildUrl('ajax/request')?>';
  				
				var pars = 'type=validateCel&value='+v;
  			 
			    var ok = false;
			 
			    new Ajax.Request(url, {
			        method: 'get',
			        parameters:pars,
			        asynchronous: false,
			        onSuccess: function(transport) {
			        	//$( 'loader' ).style.display = "";
			            var obj = response = eval('(' + transport.responseText + ')');
			            
			            validateTrueEmailMsg = obj.status_desc;
			 			//alert(obj.status_desc);
			            if (obj.ok == '1') {
							/// if ($('advice-validate-celular-Celular')) {
							//	$('advice-validate-celular-Celular').innerHTML = validateTrueEmailMsg;
							//} 
							if ($('advice-validate-celular-Celular')) {
								$('advice-validate-celular-Celular').innerHTML = validateTrueEmailMsg;
							}
							//console.log('test'+ok);
			                Validation.get('validate-celular').error = validateTrueEmailMsg;
			                ok = false;
			            } else {
			                ok = true; // return true or false 
			            }
			        },
			        onComplete: function() {
			 			if ($('advice-validate-celular-Celular2')) {
								$('advice-validate-celular-Celular2').remove();
							}
			        }
			    });
			 	console.log('mail'+ok);
			    return ok;
			});
			
			</script>
			</td>
  		  </tr>
		</table>
    </td>
  </tr>
</table>
